package ch.zhaw.projekt2.turnierverwaltung.main;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.LanguageConfigurator;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuItem;

public class MainWindowController extends FXController {

    @FXML
    private MenuItem closeBtn;

    @FXML
    private Label mainTitle;

    @FXML
    private Menu menuItemLanguage;

    @FXML
    void changeLangToGerman(ActionEvent event) {
        getLanguageConfigurator().changeLanguage(LanguageConfigurator.Language.GERMAN);
    }

    @FXML
    void changeLangToEnglish(ActionEvent event) {
        getLanguageConfigurator().changeLanguage(LanguageConfigurator.Language.ENGLISH);
    }

    @FXML
    void closeApplication(ActionEvent event) {
        Platform.exit();
    }

    @Override
    public void shareGUIElementWithLanguageConfigurator() {
        getLanguageConfigurator().recieveLabel(mainTitle);
        getLanguageConfigurator().recieveMenuItem(closeBtn);
        getLanguageConfigurator().recieveMenuItem(menuItemLanguage);
    }



    @Override
    public void loadContent() {

    }
}
